#pragma once

#ifdef __OBJC__
@interface PathWithModDate : NSObject
@property (strong) NSString *path;
@property (strong) NSDate *modDate;
@end

@interface ObjcUtils : NSObject
@end
#endif

void install_global_handlers();
void uinstall_global_handlers();
void delete_all_files_in_path(const std::string& source_path);
void export_mp4(const std::string& rec_path, int width, int height, int tot, void(^progress_callback)(float));
void save_image_library(const std::string& path);
bool apple_create_dir(const std::string& path);
NSString* keyCodeToString(NSUInteger keyCode, NSUInteger mods);
std::wstring NSStringToStringW(NSString* Str);
NSString* StringWToNSString(const std::wstring& Str);
